# Class AdaptiveLuminancePass

FivePass

Five 引擎优化的 Pass 基类 支持 G-Buffer 注入，避免重复渲染场景

#### Hierarchy (View Summary)

- FivePass
  - AdaptiveLuminancePass

- Defined in lib/five/renderer/postprocessing/passes/adaptive-luminance-pass.ts:66

##### Index

### Constructors

constructor

### Properties

clear
dependencies
enabled
gbuffer
maxMinValue
minMaxValue
needsSwap
renderToScreen
sampleTestScale
valueStep
FullScreenQuad

### Methods

clearBuffer
dispose
render
setSize

## Constructors

### constructor

- new AdaptiveLuminancePass(): AdaptiveLuminancePass

  #### Returns AdaptiveLuminancePass

  Overrides FivePass.constructor

  - Defined in lib/five/renderer/postprocessing/passes/adaptive-luminance-pass.ts:80

## Properties

### clear

clear: boolean = false

Inherited from FivePass.clear

- Defined in lib/five/renderer/postprocessing/passes/pass.ts:37

### dependencies

dependencies: ("color" | "depth" | "normal")[]

Inherited from FivePass.dependencies

- Defined in lib/five/renderer/postprocessing/passes/pass.ts:39

### enabled

enabled: boolean = true

Inherited from FivePass.enabled

- Defined in lib/five/renderer/postprocessing/passes/pass.ts:35

### gbuffer

gbuffer: Map<"color" | "depth" | "normal", Texture>

G-Buffer 纹理集合 包含 depth、normal、color 等纹理 由 EffectComposer 在 render 时注入

Inherited from FivePass.gbuffer

- Defined in lib/five/renderer/postprocessing/passes/pass.ts:46

### maxMinValue

maxMinValue: number

- Defined in lib/five/renderer/postprocessing/passes/adaptive-luminance-pass.ts:68

### minMaxValue

minMaxValue: number

- Defined in lib/five/renderer/postprocessing/passes/adaptive-luminance-pass.ts:69

### needsSwap

needsSwap: boolean = true

Inherited from FivePass.needsSwap

- Defined in lib/five/renderer/postprocessing/passes/pass.ts:36

### renderToScreen

renderToScreen: boolean = true

Inherited from FivePass.renderToScreen

- Defined in lib/five/renderer/postprocessing/passes/pass.ts:38

### sampleTestScale

sampleTestScale: number

- Defined in lib/five/renderer/postprocessing/passes/adaptive-luminance-pass.ts:71

### valueStep

valueStep: number

- Defined in lib/five/renderer/postprocessing/passes/adaptive-luminance-pass.ts:70

### `Static` FullScreenQuad

FullScreenQuad: typeof FullScreenQuad = FullScreenQuad

Inherited from FivePass.FullScreenQuad

- Defined in lib/five/renderer/postprocessing/passes/pass.ts:33

## Methods

### clearBuffer

- clearBuffer(): void

  #### Returns void

  - Defined in lib/five/renderer/postprocessing/passes/adaptive-luminance-pass.ts:157

### dispose

- dispose(): void

  #### Returns void

  Overrides FivePass.dispose

  - Defined in lib/five/renderer/postprocessing/passes/adaptive-luminance-pass.ts:169

### render

- render(
  renderer: WebGLRenderer,
  writeBuffer: WebGLRenderTarget,
  readBuffer: WebGLRenderTarget,
  deltaTime: number,
  maskActive?: boolean,
  ): void

  #### Parameters

  - renderer: WebGLRenderer
  - writeBuffer: WebGLRenderTarget
  - readBuffer: WebGLRenderTarget
  - deltaTime: number
  - `Optional` maskActive: boolean

  #### Returns void

  Overrides FivePass.render

  - Defined in lib/five/renderer/postprocessing/passes/adaptive-luminance-pass.ts:105

### setSize

- setSize(width: number, height: number): void

  #### Parameters

  - width: number
  - height: number

  #### Returns void

  Inherited from FivePass.setSize

  - Defined in lib/five/renderer/postprocessing/passes/pass.ts:52